Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1062976 - DBusException: org.freedesktop.DBus.Error.UnknownMethod: Method "Get" with signature "ss" on interface "org.freedesktop.DBus.Properties" doesn't exist
Summary: DBusException: org.freedesktop.DBus.Error.UnknownMethod: Method "Get" with si...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Radek Vykydal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:b5973de38ed3d71a1e6cf7014f8...
: 1109576 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-09 11:43 UTC by Tom Klingenberg
Modified: 2015-06-29 15:05 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 15:05:47 UTC


Attachments (Terms of Use)
File: anaconda-tb (deleted)
2014-02-09 11:43 UTC, Tom Klingenberg
no flags Details
File: anaconda.log (deleted)
2014-02-09 11:43 UTC, Tom Klingenberg
no flags Details
File: environ (deleted)
2014-02-09 11:43 UTC, Tom Klingenberg
no flags Details
File: journalctl (deleted)
2014-02-09 11:44 UTC, Tom Klingenberg
no flags Details
File: lsblk_output (deleted)
2014-02-09 11:44 UTC, Tom Klingenberg
no flags Details
File: nmcli_dev_list (deleted)
2014-02-09 11:44 UTC, Tom Klingenberg
no flags Details
File: os_info (deleted)
2014-02-09 11:44 UTC, Tom Klingenberg
no flags Details
File: program.log (deleted)
2014-02-09 11:44 UTC, Tom Klingenberg
no flags Details
File: storage.log (deleted)
2014-02-09 11:44 UTC, Tom Klingenberg
no flags Details
File: ifcfg.log (deleted)
2014-02-09 11:44 UTC, Tom Klingenberg
no flags Details

Description Tom Klingenberg 2014-02-09 11:43:51 UTC
Version-Release number of selected component:
anaconda-20.25.15-1.fc20.x86_64

The following was filed automatically by anaconda:
anaconda 20.25.15-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 145, in __call__
    **keywords)
  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 70, in __call__
    return self._proxy_method(*args, **keywords)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/network.py", line 80, in getNMObjProperty
    prop)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/network.py", line 860, in _add_ap
    mode = getNMObjProperty(ap_dbus, ".AccessPoint", "Mode")
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/network.py", line 722, in _refresh_ap
    self._add_ap(ap, active)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/network.py", line 640, in refresh_ui
    self._refresh_ap(device, state)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/network.py", line 374, in on_device_config_changed
    self.refresh_ui(device)
DBusException: org.freedesktop.DBus.Error.UnknownMethod: Method "Get" with signature "ss" on interface "org.freedesktop.DBus.Properties" doesn't exist


Additional info:
cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   initrd=initrd0.img root=live:CDLABEL=Fedora-Live-Desktop-x86_64-20-1 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0  BOOT_IMAGE=vmlinuz0 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.11.10-301.fc20.x86_64
other involved packages: dbus-python-1.2.0-1.fc20.x86_64
product:        Fedora
release:        Fedora release 20 (Heisenbug)
type:           anaconda
version:        20

Comment 1 Tom Klingenberg 2014-02-09 11:43:55 UTC
Created attachment 860960 [details]
File: anaconda-tb

Comment 2 Tom Klingenberg 2014-02-09 11:43:57 UTC
Created attachment 860961 [details]
File: anaconda.log

Comment 3 Tom Klingenberg 2014-02-09 11:43:59 UTC
Created attachment 860962 [details]
File: environ

Comment 4 Tom Klingenberg 2014-02-09 11:44:01 UTC
Created attachment 860963 [details]
File: journalctl

Comment 5 Tom Klingenberg 2014-02-09 11:44:03 UTC
Created attachment 860964 [details]
File: lsblk_output

Comment 6 Tom Klingenberg 2014-02-09 11:44:05 UTC
Created attachment 860965 [details]
File: nmcli_dev_list

Comment 7 Tom Klingenberg 2014-02-09 11:44:08 UTC
Created attachment 860966 [details]
File: os_info

Comment 8 Tom Klingenberg 2014-02-09 11:44:10 UTC
Created attachment 860967 [details]
File: program.log

Comment 9 Tom Klingenberg 2014-02-09 11:44:12 UTC
Created attachment 860968 [details]
File: storage.log

Comment 10 Tom Klingenberg 2014-02-09 11:44:14 UTC
Created attachment 860969 [details]
File: ifcfg.log

Comment 11 Tom Klingenberg 2014-02-10 14:53:35 UTC
This was a brand new try to install Fedora 20 on a Lenovo W510 laptop. Before booting I did even restore the original system configuration by that vendor, that means, the disk layout was Windows 7 Pro.

After this crash I could re-start the installer and that time it went through (the here reported crash came quickly after choosing one of the two big buttons after boot, I was selecting the one to install Fedora 20).

The install then went flawlessly without any changes which btw. was pretty great.

I now only have a minor problem when changing brightness quickly/a lot I can trigger to freeze the machine. But so far I don't grumble about it because it overall works pretty great with the Noveau driver and that Q880M Nvidia card nevertheless. And I know that this card has caused me some trouble earlier, which also required me to re-install from scratch.

Hope this additional info is helpful.

I can also provide more information from that system if wanted.

Comment 12 David Shea 2014-06-16 13:22:47 UTC
*** Bug 1109576 has been marked as a duplicate of this bug. ***

Comment 13 Michał 2014-10-25 16:17:15 UTC
I wanted to install Fedora on my computer. So, I booted Fedora from my USB, then I chose Activities -> Install to Hard Drive, then chose language (Polish) and clicked Forward. Then, the window with this error appeared.

cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   initrd=initrd0.img root=live:LABEL=UUI NULL=Fedora-Live-Desktop-x86_64-20-1 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0  BOOT_IMAGE=vmlinuz0 
hashmarkername: anaconda
kernel:         3.11.10-301.fc20.x86_64
other involved packages: dbus-python-1.2.0-1.fc20.x86_64
package:        anaconda-20.25.15-1.fc20.x86_64
packaging.log:  
product:        Fedora
reason:         DBusException: org.freedesktop.DBus.Error.UnknownMethod: Method "Get" with signature "ss" on interface "org.freedesktop.DBus.Properties" doesn't exist
release:        Fedora release 20 (Heisenbug)
version:        20

Comment 14 Fedora End Of Life 2015-05-29 10:51:35 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2015-06-29 15:05:47 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.